from h5schemas.scan_schema import GroupDefinition
from h5schemas.h5_types.base_dataset import BaseDataset
import h5py
import numpy as np


class ImageDataset(BaseDataset):
    dtype = np.uint16

    def __init__(self, definition: GroupDefinition):
        super().__init__(definition)

    def add_to_file(self, h5_file: h5py.File):
        if len(self.group) == 0:
            self.group = '/'
        group = h5_file.require_group(self.group)
        self.dataset = group.create_dataset(
            name=self.dataset_name,
            shape=(0, 0, 0),
            dtype=self.dtype,
            chunks=True,
            maxshape=(None, 3072, 3072),
        )
