from h5schemas.scan_schema import GroupDefinition
from h5schemas.h5_types.base_dataset import BaseDataset
import h5py
import numpy as np


class IntegerDataset(BaseDataset):
    dtype = np.int32

    def __init__(self, definition: GroupDefinition):
        super().__init__(definition)
        self.minimum = definition.info.get("minimum", None)
        self.minimum = definition.info.get("maximum", None)

    def add_to_file(self, h5_file: h5py.File):
        group = h5_file.require_group(self.group)
        self.dataset = group.create_dataset(
            name=self.dataset_name,
            shape=(0,),
            dtype=self.dtype,
            chunks=True,
            maxshape=(None,),
        )
